hammer "host-collection" --help should not use 'system' anymore, replace it with content-host
Status: Closed   
Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103039

Description of problem:

Here --system and --system-id are given. May be to make it unified we should update it with --content-host.

[root@dhcp207-55 ~]# hammer host-collection content-hosts --help

Usage:

hammer host-collection content-hosts [OPTIONS]

Options:

--activation-key ACTIVATION_KEY_NAME

--activation-key-id ACTIVATION_KEY_ID

--id ID                       Id of the host collection

--organization ORGANIZATION_NAME

--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL

--system SYSTEM_NAME

--system-id SYSTEM_ID

Version-Release number of selected component (if applicable):

sat6 beta snap7 compose2 (Satellite-6.0.3-RHEL-6-20140528.4)

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

hammer host-collection --help

Expected results:

hammer host-collection --help and for all sub-commands: the option --system or --system-id should be replaced with --content-host or

--content-host-id

Additional info:

Associated revisions

Revision 0761e929 - 06/16/2014 04:36 PM - Tomas Strachota 

Fixes #6092 - mapping systems to content hosts

History

#1 - 06/06/2014 11:46 AM - Tomáš Strachota

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1103039


- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

- Triaged set to No

#2 - 06/06/2014 12:50 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/12/2014 11:25 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/hammer-cli/pull/116

https://github.com/theforeman/hammer-cli-foreman/pull/128

https://github.com/Katello/hammer-cli-katello/pull/190

#4 - 06/16/2014 02:56 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/16/2014 09:06 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:0761e9290fc5ac3b7d6f2de08f685fa03560a829.

#6 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
